diff --git a/src/packages/fff/fff-boardname/Makefile b/src/packages/fff/fff-boardname/Makefile
index d274d888..9c2f76d9 100644
--- a/src/packages/fff/fff-boardname/Makefile
+++ b/src/packages/fff/fff-boardname/Makefile
@@ -1,8 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-boardname
-PKG_VERSION:=5
-PKG_RELEASE:=1
+PKG_RELEASE:=6
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname b/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname
new file mode 100644
index 00000000..b00c22f2
--- /dev/null
+++ b/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+BOARD=$(cat /var/sysinfo/board_name)
+
+case "$BOARD" in
+	tl-wr1043nd)
+		BOARD=tl-wr1043nd-v1
+		;;
+	tl-wr1043nd-v2)
+		grep "v3" /var/sysinfo/model && BOARD=tl-wr1043nd-v3
+		;;
+	tl-wr741nd)
+		grep "Atheros AR7240 rev 2" /proc/cpuinfo && BOARD=tl-wr741nd-v2 || BOARD=tl-wr741nd-v4
+		;;
+	tl-wr741nd-v4)
+		grep 740 /var/sysinfo/model && BOARD=tl-wr740n-v4
+		;;
+	tl-wr841n-v7)
+		BOARD=tl-wr841-v7
+		;;
+	tl-wr841n-v8)
+		BOARD=tl-wr841-v8
+		;;
+	tl-wr841n-v9)
+		BOARD=tl-wr841-v9
+		grep "v10" /var/sysinfo/model && BOARD=tl-wr841-v10
+		;;
+	tl-wr841n-v11)
+		BOARD=tl-wr841-v11
+		grep "v12" /var/sysinfo/model && BOARD=tl-wr841-v12
+		;;
+	nanostation-m)
+		BOARD=ubnt-nano-m
+		;;
+	bullet-m)
+		BOARD=ubnt-bullet-m
+		grep -i "Pico" /var/sysinfo/model && BOARD=ubnt-pico-m
+		grep -i "Loco" /var/sysinfo/model && BOARD=ubnt-loco-m
+		;;
+	unifi)
+		BOARD=ubnt-unifi
+		;;
+	loco-m-xw)
+		BOARD=ubnt-loco-m-xw
+		grep -i "Power" /var/sysinfo/model && BOARD=ubnt-power-m-xw
+		;;
+	unifiac-lite)
+		BOARD=ubnt-unifiac-lite
+		;;
+	tl-wa850re)
+		BOARD=tl-wa850re-v1
+		;;
+	tl-wa860re)
+		BOARD=tl-wa860re-v1
+		;;
+	tl-wdr3500)
+		BOARD=tl-wdr3500-v1
+		;;
+	tl-wdr4300)
+		grep "3600" /var/sysinfo/model && BOARD=tl-wdr3600-v1
+		grep "4300" /var/sysinfo/model && BOARD=tl-wdr4300-v1
+		grep "4310" /var/sysinfo/model && BOARD=tl-wdr4310-v1
+		;;
+	tplink,tl-wdr4900-v1)
+		BOARD=tl-wdr4900-v1
+		;;
+	tl-mr3020)
+		BOARD=tl-mr3020-v1
+		;;
+	archer-c7)
+		BOARD=archer-c7-v2
+		;;
+esac
+
+uci set board.model.name=$BOARD
+uci commit board
diff --git a/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname b/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname
deleted file mode 100644
index ee9c3d39..00000000
--- a/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname
+++ /dev/null
@@ -1,76 +0,0 @@
-#!/bin/sh
-
-BOARD=$(cat /var/sysinfo/board_name)
-
-case "$BOARD" in
-    tl-wr1043nd)
-        BOARD=tl-wr1043nd-v1
-        ;;
-    tl-wr1043nd-v2)
-        grep "v3" /var/sysinfo/model && BOARD=tl-wr1043nd-v3
-        ;;
-    tl-wr741nd)
-        grep "Atheros AR7240 rev 2" /proc/cpuinfo && BOARD=tl-wr741nd-v2 || BOARD=tl-wr741nd-v4
-        ;;
-    tl-wr741nd-v4)
-        grep 740 /var/sysinfo/model && BOARD=tl-wr740n-v4
-        ;;
-    tl-wr841n-v7)
-        BOARD=tl-wr841-v7
-        ;;
-    tl-wr841n-v8)
-        BOARD=tl-wr841-v8
-        ;;
-    tl-wr841n-v9)
-        BOARD=tl-wr841-v9
-        grep "v10" /var/sysinfo/model && BOARD=tl-wr841-v10
-        ;;
-    tl-wr841n-v11)
-        BOARD=tl-wr841-v11
-        grep "v12" /var/sysinfo/model && BOARD=tl-wr841-v12
-        ;;
-    nanostation-m)
-        BOARD=ubnt-nano-m
-        ;;
-    bullet-m)
-        BOARD=ubnt-bullet-m
-        grep -i "Pico" /var/sysinfo/model && BOARD=ubnt-pico-m
-        grep -i "Loco" /var/sysinfo/model && BOARD=ubnt-loco-m
-        ;;
-    unifi)
-        BOARD=ubnt-unifi
-        ;;
-    loco-m-xw)
-        BOARD=ubnt-loco-m-xw
-        grep -i "Power" /var/sysinfo/model && BOARD=ubnt-power-m-xw
-        ;;
-    unifiac-lite)
-        BOARD=ubnt-unifiac-lite
-        ;;
-    tl-wa850re)
-        BOARD=tl-wa850re-v1
-        ;;
-    tl-wa860re)
-        BOARD=tl-wa860re-v1
-        ;;
-    tl-wdr3500)
-        BOARD=tl-wdr3500-v1
-        ;;
-    tl-wdr4300)
-        grep "3600" /var/sysinfo/model && BOARD=tl-wdr3600-v1
-        grep "4300" /var/sysinfo/model && BOARD=tl-wdr4300-v1
-        grep "4310" /var/sysinfo/model && BOARD=tl-wdr4310-v1
-        ;;
-    tplink,tl-wdr4900-v1)
-        BOARD=tl-wdr4900-v1
-        ;;
-    tl-mr3020)
-        BOARD=tl-mr3020-v1
-        ;;
-    archer-c7)
-        BOARD=archer-c7-v2
-        ;;
-esac
-
-uci set board.model.name=$BOARD
-uci commit board
